summaryrefslogtreecommitdiffstats
path: root/.local/bin
diff options
context:
space:
mode:
Diffstat (limited to '.local/bin')
-rwxr-xr-x.local/bin/fetch_mail.sh4
-rwxr-xr-x.local/bin/status/sb-net7
2 files changed, 7 insertions, 4 deletions
diff --git a/.local/bin/fetch_mail.sh b/.local/bin/fetch_mail.sh
index 2c96082..1f2889b 100755
--- a/.local/bin/fetch_mail.sh
+++ b/.local/bin/fetch_mail.sh
@@ -1,5 +1,7 @@
#!/bin/sh
+set -f
+set +f
set -m
export GNUPGHOME=/home/jozan/.local/share/gnupg
@@ -14,7 +16,7 @@ else
pre_count="$((pre_count + tmp))"
fi
killall mbsync >/dev/null 2>&1
-notify-send -u low -t 3000 'mbsync' ' fetching mail...' >/dev/null 2>&1
+# notify-send -u low -t 3000 'mbsync' ' fetching mail...' >/dev/null 2>&1
{
mbsync -a -c /usr/home/jozan/.config/mbsync/mbsyncrc ||
notify-send -u low -t 6000 'mbsync' ' failed to fetch mail' >/dev/null 2>&1
diff --git a/.local/bin/status/sb-net b/.local/bin/status/sb-net
index 97283af..2cc07da 100755
--- a/.local/bin/status/sb-net
+++ b/.local/bin/status/sb-net
@@ -1,8 +1,9 @@
#!/bin/sh
-if ifconfig | grep -F ' active' >/dev/null; then
- echo " "
+# if ifconfig | grep -F ' active' >/dev/null; then
+if ! ping -q -c1 -t1 8.8.8.8 >/dev/null 2>&1; then
+ echo " "
return
fi
-echo " "
+echo " "